Table of Contents

Class: Conversation | Twisted-0.17.4/twisted/words/ui/im.py
--- | ---

Methods |
--- | ---
__init__ changeName changeStatus messageReceived
| __init__

    __init__ (
            self,
            im,
            gateway,
            target,
            )

represents a conversation with a single user. im := the InstanceMessenger that's being used (class InstanceMessenger) gateway := the gateway the conversation is over (class Gateway) target := the user who the conversation is with (string)

Exceptions |
--- | ---
NotImplementedError

| changeName

    changeName ( self,  newName )

called when this user changes their name on the server. newName := the users new name (string)

Exceptions |
--- | ---
NotImplementedError

| changeStatus

    changeStatus ( self,  newState )

called when this user changes their status. newState := the users new state (string)

Exceptions |
--- | ---
NotImplementedError

| messageReceived

    messageReceived ( self,  message )

called when we get a message sent to us. message := the message that was sent (string)

Exceptions |
--- | ---
NotImplementedError

Table of Contents

This document was automatically generated on Sat Apr 20 01:32:03 2002 by HappyDoc version 2.0